Bug 180776 - Keychain not functional in X
Keychain not functional in X
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: keychain (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 04:13 EST by Callum Lerwick
Modified: 2008-05-06 20:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Callum Lerwick 2006-02-10 04:13:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Galeon/2.0.0

Description of problem:
Keychain does not get run during an X11 login. In fact nothing in /etc/profile.d/ seems to get called. I could have sworn it used to, I guess bash is no longer being run as a login shell in FC5test2. This also means /etc/profile.d/gnome-ssh-askpass.sh isn't being called. But I seem to get a GUI prompt anyway.

My panel icon that starts an ssh tunneled vncviewer doesn't utilize the ssh-agent, and Evolution's gpg support breaks badly, as it doesn't seem to handle falling back properly when the gpg-agent isn't available and gpg is configured to use it.

Symlinking /etc/X11/xinit/xinitrc.d/keychain.sh to /etc/profile.d/keychain.sh makes it all work.

Version-Release number of selected component (if applicable):
keychain-2.6.1-1.fc5

How reproducible:
Always

Steps to Reproduce:
1. Log in to X

Additional info:
Comment 1 Ville Skyttä 2006-02-13 11:48:35 EST
I'm not completely sure what's the intended behaviour, but when logging on to
KDE on my Rawhide box, keychain asks stuff as soon as I open a Konsole window.

That works for me, but maybe the passphrases should be asked earlier indeed. 
Having it in both xinitrc.d and profile.d gives me the chills for whatever
reason though...

I think the first step here is to verify from FC maintainers whether
gdm/gnome-session/kde currently behave as expected before changing anything in
keychain.
Comment 2 Callum Lerwick 2006-02-13 17:48:20 EST
Well yeah, keychain gets called when you open a shell, but then the agent(s) are
only available in that shell. Anything run outside it is not going to work. Such
as starting Evolution from the panel menu.

I'm starting to think the real bug is bash not being run as a login shell during
the X session startup, after all, you *are* logging in.

Can someone confirm if FC4 xinit scripts starts bash as a login shell? Both my
desktop systems went poof over the last week, and all I have left is my laptop I
follow rawhide with...
Comment 3 Ville Skyttä 2006-02-14 01:51:02 EST
(In reply to comment #2)
> Well yeah, keychain gets called when you open a shell, but then the agent(s)
> are only available in that shell.

For me, they're available in all shells.  I'm using keychain for SSH only.

> Can someone confirm if FC4 xinit scripts starts bash as a login shell?

I don't have such a box available, but IIRC CentOS 4.2 behaves the same way as
described here with the FE5 keychain installed.
Comment 4 Bug Zapper 2008-04-03 12:57:37 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:21:38 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.